Support » Fixing WordPress » how to update jQuery javascript library?

  • Resolved mverduyn

    (@mverduyn)


    Hello,
    I get the errror message below. From what I read, I think that I need to update the jQuery javascript library.
    Let me please ask you how to do that?
    Thanks and kind regards,
    Marcel

    ” ATTENTION! (by Comprehensive Google Map Plugin)

    Your blog/site theme or one of your plugins uses jQuery
    javascript library which is older than the version 1.3.0.
    The Comprehensive Google Map plugin will not work with
    such outdated jQuery version.

    The minimum jQuery requirement for Comprehensive
    Google Map plugin is version 1.3.0. Apologies for the
    inconvenience. ”

Viewing 15 replies - 1 through 15 (of 18 total)
  • Did you read this part?

    Your blog/site theme or one of your plugins uses jQuery
    javascript library which is older than the version 1.3.0.

    Hi,

    Couple of ways you can do this. The easiest it to open your theme functions.php and add the below lines:

    if( !is_admin()){
    wp_deregister_script('jquery');
    wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"), false, '1.9.1');
    wp_enqueue_script('jquery');

    This will call in the latest version of jQuery. PLEASE BACKUP your theme folder before you modify ANY FILE.

    Hope helps.

    Scott.

    Esmi is correct if you do update to a later version of jQuery some plugins or even your theme may be effected and not support later version of jQuery so you are going to have to do some testing and make sure all plugins work correctly with a later version of jQuery.

    S.

    Actually, you first need to determine which is the culprit: the theme or one of the other plugins.

    And never, EVER, deregister core jQuery!

    Lately i saw a plugin mentioned on several places (be theme authors). It’s called jQuery Updater. Didn’t test it though.
    I will also repeat: BACKUP before doin’ anything!

    @scott & esmi,
    thanks.
    I am not (yet) experienced with WordPress. When logged in, where is the button to open my theme functions.php ?
    Marcel

    Do not touch your theme yet. Can you replicate the problem using the default Twenty Thirteen theme with all other plugins deactivated?

    oh, I just activated the suggested jQuery Updater (and backuped first!)
    It works flawless again!
    http://www.portuguesdobrasil.nl

    thanks, Marcel

    Glad it worked for you.Please, mark this topic as resolved.
    Cheers

    jQuery Updater did the trick!

    Yep, thanks for the plugin-tip ! Works for me !

    And for me it’s working! Thanks.

    works for me! Awesome
    Thanks for the assistance

    Fixed the map error, but created another problem.

    I deactivated the updater as it messed with the carousel on my homepage: http://www.ilanjoseph.com

    The author said i must fix the source javascript which creates the carousel.

    Is there a simple way to do this or an alternative method to updating without using the jquery updater plugin?

    Same situation. Once you deactivate the plugin, the version reverts back. There must be a better way to update the jquery library… is there?

Viewing 15 replies - 1 through 15 (of 18 total)
  • The topic ‘how to update jQuery javascript library?’ is closed to new replies.